## com.imcode.imcms.api
Class RoleAlreadyExistsException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              com.imcode.imcms.api.SaveException
                  com.imcode.imcms.api.AlreadyExistsException
                      com.imcode.imcms.api.RoleAlreadyExistsException

All Implemented Interfaces:
  java.io.Serializable

    public class RoleAlreadyExistsException

extends AlreadyExistsException

See Also:
  Serialized Form

Constructor Summary
`RoleAlreadyExistsException(java.lang.String message, java.lang.Throwable cause)`

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RoleAlreadyExistsException

    public RoleAlreadyExistsException(java.lang.String message,
                                      java.lang.Throwable cause)